CHROOT(8)

NAME
chroot - change root directory for a command

SYNOPSIS
/usr/etc/chroot newroot command

DESCRIPTION

The given command is executed relative to the new root. The meaning of any initial `/' (slashes) in path names is changed for a command and any of its children to newroot. Furthermore, the initial working directory is newroot.

Input and output redirections on the command line are made with respect to the original root:

    chroot newroot command >x

creates the file x relative to the original root, not the new one.

This command is restricted to the super-user.

The new root path name is always relative to the current root: even if a chroot is already in effect; the newroot argument is relative to the current root of the running process.

SEE ALSO
chdir(2V)

BUGS
One should exercise extreme caution when referring to special files in the new root file system.